=head1 NAME

Gtk2::Spinner - wrapper for GtkSpinner

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::DrawingArea
                      +----Gtk2::Spinner



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Spinner-E<gt>B<new> 

=head2 $spinner-E<gt>B<start> 

=head2 $spinner-E<gt>B<stop> 



=cut


=head1 PROPERTIES

=over

=item 'active' (boolean : default false : readable / writable)

Whether the spinner is active

=back



=cut


=head1 STYLE PROPERTIES

=over

=item 'cycle-duration' (Glib::UInt : default 1000 : readable)

The length of time in milliseconds for the spinner to complete a full loop

=item 'num-steps' (Glib::UInt : default 12 : readable)

The number of steps for the spinner to complete a full loop. The animation will complete a full cycle in one second by default (see #GtkSpinner:cycle-duration).

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::DrawingArea>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

